Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAroundOperatorAstVisitor

- groovy.org.codenarc.rule.formatting.SpaceAroundOperatorAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBinaryExpression(org.codehaus.groovy.ast.expr.BinaryExpression expression)`
    `` | `void` | `visitCastExpression(org.codehaus.groovy.ast.expr.CastExpression expression)`
    `` | `void` | `visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression expression)`
    `` | `void` | `visitTernaryExpression(org.codehaus.groovy.ast.expr.TernaryExpression expression)`

- - ### Method Detail

    - #### @Override void visitBinaryExpression(org.codehaus.groovy.ast.expr.BinaryExpression expression)

    - #### @Override void visitCastExpression(org.codehaus.groovy.ast.expr.CastExpression expression)

    - #### @Override void visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression expression)

    - #### @Override void visitTernaryExpression(org.codehaus.groovy.ast.expr.TernaryExpression expression)